#!/usr/bin/env python3

from counter import WordCounter

DATA_FILE_NAME = 'python.txt'

def main():
    counter = WordCounter()

    assert not counter.has_word('python')
    assert counter.count('math') == 0

    with open(DATA_FILE_NAME, 'rt') as f:
        counter.feed_file(f)

    assert counter.unique_words() == 567, counter.unique_words()
    assert counter.has_word('Python')
    assert counter.count('Python') == 27, counter.count('Python')
    

if __name__ == '__main__':
    main()
