
class WordCounter(object):

    def __init__(self):
        self._counts = {}

    def feed_word(self, word):
        " Add word to counts "

        pass # TODO: Add this routine

    def feed_file(self, f):
        " Read words from file _f_ "
        for ln in f.readlines():
            words = ln.split()
            for w in words:
                self.feed_word(w)


    def has_word(self, word):
        return word in self._counts


    def count(self, word):
        " Return count of word _word_"

        # It's easier to ask forgiveness than to beg for permission.
        # So use exception here.
        try:           
            return self._counts[word]
        except KeyError:    
            return 0


    def unique_words(self):
        return len(self._counts)
